import * as i0 from "@angular/core";
export declare class NetworkStatusService {
    private _isOnline;
    private _justReconnected;
    private _countdown;
    private _countdownTimer?;
    readonly isOnline: import("@angular/core").Signal<boolean>;
    readonly justReconnected: import("@angular/core").Signal<boolean>;
    readonly countdown: import("@angular/core").Signal<number>;
    constructor();
    private onOnline;
    private onOffline;
    private startCountdown;
    private clearCountdown;
    dismiss(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NetworkStatusService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NetworkStatusService>;
}
